Listar plantillas
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "778899001122",
"name": "order_update",
"language": "en",
"status": "APPROVED",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order is on its way."
}
]
},
{
"id": "778899001123",
"name": "diwali_offer",
"language": "en",
"status": "APPROVED",
"category": "MARKETING",
"components": [
{
"type": "BODY",
"text": "Flat {{1}} off this Diwali."
}
]
}
],
"paging": {
"cursors": {
"before": "MAZDZD",
"after": "MjQZD"
},
"next": "https://graph.facebook.com/v25.0/1029384756/message_templates?after=MjQZD"
}
}Plantillas
Listar plantillas
Listar plantillas. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
GET
/
meta
/
wabas
/
{wabaId}
/
templates
Listar plantillas
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "778899001122",
"name": "order_update",
"language": "en",
"status": "APPROVED",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order is on its way."
}
]
},
{
"id": "778899001123",
"name": "diwali_offer",
"language": "en",
"status": "APPROVED",
"category": "MARKETING",
"components": [
{
"type": "BODY",
"text": "Flat {{1}} off this Diwali."
}
]
}
],
"paging": {
"cursors": {
"before": "MAZDZD",
"after": "MjQZD"
},
"next": "https://graph.facebook.com/v25.0/1029384756/message_templates?after=MjQZD"
}
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID de la cuenta de WhatsApp Business devuelto por GET /meta/phone-numbers.
Parámetros de consulta
Número máximo de elementos que se devolverán.
Rango requerido:
x >= 1Cursor de paginación de Meta de la respuesta anterior.
Nombre usado para filtrar o identificar el recurso.
Estado de Meta usado para filtrar los resultados.
Campos de Graph API separados por comas.
Respuesta
200 - application/json
Page returned
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Invalid query parameter or fields expression | Correct the query |
502 | Graph unreachable or timed out | Retry with backoff |
¿Esta página le ayudó?